TemplateVariableBinding (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.taglib

## [Java] Class TemplateVariableBinding

- org.grails.taglib.TemplateVariableBinding

- Script Binding that is used in GSP evaluation.

  Authors:
    Lari Hotari

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateVariableBinding ()`
    `TemplateVariableBinding (groovy.lang.Binding parent)`
    `TemplateVariableBinding (java.util.Map variables)`
    `TemplateVariableBinding (java.lang.String[] args)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Binding` | `findBindingForVariable(java.lang.String name)` ModifyOurScopeWithBodyTagTests breaks if variable isn't changed in the binding it exists in.
    `` | `java.lang.Object` | `getOwner()`
    `` | `groovy.lang.Binding` | `getParent()`
    `` | `java.lang.Object` | `getProperty(java.lang.String property)`
    `` | `java.lang.Object` | `getVariable(java.lang.String name)`
    `` | `java.util.Set<java.lang.String>` | `getVariableNames()`
    `` | `protected void` | `internalSetVariable(java.lang.String name, java.lang.Object value)`
    `` | `protected boolean` | `isReservedName(java.lang.String name)`
    `` | `boolean` | `isRoot()`
    `` | `void` | `setOwner(java.lang.Object owner)`
    `` | `void` | `setParent(groovy.lang.Binding parent)`
    `` | `void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `` | `void` | `setRoot(boolean root)`
    `` | `void` | `setVariable(java.lang.String name, java.lang.Object value)`
    `` | `protected boolean` | `shouldUseChildBinding(TemplateVariableBinding childBinding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTemplateVariableBinding` | `addMap, findBindingForVariable, getVariableNames, getVariables, getVariablesMap, internalSetVariable, isVariableCachingAllowed, setVariableDirectly`
    `class groovy.lang.Binding` | `groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`

- - ### Constructor Detail

    - #### public TemplateVariableBinding()

    - #### public TemplateVariableBinding(groovy.lang.Binding parent)

    - #### @java.lang.SuppressWarnings("rawtypes") public TemplateVariableBinding(java.util.Map variables)

    - #### public TemplateVariableBinding(java.lang.String[] args)

  - ### Method Detail

    - #### public groovy.lang.Binding findBindingForVariable(java.lang.String name)

      ModifyOurScopeWithBodyTagTests breaks if variable isn't changed in the binding it exists in.

      Parameters:
        name
      Returns:
        The binding

    - #### public java.lang.Object getOwner()

    - #### public groovy.lang.Binding getParent()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.util.Set<java.lang.String> getVariableNames()

    - #### protected void internalSetVariable(java.lang.String name, java.lang.Object value)

    - #### protected boolean isReservedName(java.lang.String name)

    - #### public boolean isRoot()

    - #### public void setOwner(java.lang.Object owner)

    - #### public void setParent(groovy.lang.Binding parent)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setRoot(boolean root)

    - #### @java.lang.Override public void setVariable(java.lang.String name, java.lang.Object value)

    - #### protected boolean shouldUseChildBinding(TemplateVariableBinding childBinding)